diff -r e2e85631ba32 code/ryzom/CMakeModules/FindLibwww.cmake
--- a/code/ryzom/CMakeModules/FindLibwww.cmake	Fri May 07 16:15:24 2010 -0700
+++ b/code/ryzom/CMakeModules/FindLibwww.cmake	Fri May 07 16:22:19 2010 -0700
@@ -38,6 +38,20 @@
   /usr/freeware/lib64
 )
 
+FIND_LIBRARY(LIBMD5_LIBRARY 
+  md5 
+  PATHS
+  /usr/local/lib
+  /usr/lib
+  /usr/local/X11R6/lib
+  /usr/X11R6/lib
+  /sw/lib
+  /opt/local/lib
+  /opt/csw/lib
+  /opt/lib
+  /usr/freeware/lib64
+)
+
 IF(LIBWWW_LIBRARY AND LIBWWW_INCLUDE_DIR)
   SET(LIBWWW_FOUND "YES")
   IF(NOT LIBWWW_FIND_QUIETLY)
@@ -49,3 +63,13 @@
   ENDIF(NOT LIBWWW_FIND_QUIETLY)
 ENDIF(LIBWWW_LIBRARY AND LIBWWW_INCLUDE_DIR)
 
+IF(LIBMD5_LIBRARY)
+  SET(LIBMD5_FOUND "YES")
+  IF(NOT LIBMD5_FIND_QUIETLY)
+    MESSAGE(STATUS "Found LibMD5: ${LIBMD5_LIBRARY}")
+  ENDIF(NOT LIBMD5_FIND_QUIETLY)
+ELSE(LIBMD5_LIBRARY)
+  IF(NOT LIBMD5_FIND_QUIETLY)
+    MESSAGE(STATUS "Warning: Unable to find LibMD5!")
+  ENDIF(NOT LIBMD5_FIND_QUIETLY)
+ENDIF(LIBMD5_LIBRARY)
diff -r e2e85631ba32 code/ryzom/client/src/CMakeLists.txt
--- a/code/ryzom/client/src/CMakeLists.txt	Fri May 07 16:15:24 2010 -0700
+++ b/code/ryzom/client/src/CMakeLists.txt	Fri May 07 16:22:19 2010 -0700
@@ -63,7 +63,8 @@
 				${NELSOUND_LIBRARY} 
 				${NELSNDDRV_LIBRARY}
 				${CLIENT_SHEETS_LIB} 
-				${NELPACS_LIBRARY} 
+				${NELPACS_LIBRARY}
+				${LIBMD5_LIBRARY} 
 				${LIBWWW_LIBRARY} 
 				${Boost_LIBRARIES} 
 				${X11_LIBRARIES}
